%define octave_version 2.1.73
%define qhull_version 2003.1
# (Abel) GiNaC <= 1.3.0-1mdk placed header at fantastic location
%define ginac_version 1.3.2

Name:		octave-forge
Version:	2006.03.17
Release:	%mkrel 3
Epoch:		0
Summary:	Custom scripts, functions and extensions for GNU Octave
License:	Public Domain
Group:		Sciences/Mathematics
Source0:	http://download.sourceforge.net/octave/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2005.06.13-legend.patch
URL:		http://octave.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	octave >= %{octave_version}
Requires:	libqhull >= %{qhull_version}
BuildRequires:	gsl-devel
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	ginac-devel >= %{ginac_version}
BuildRequires:	hdf5-devel
BuildRequires:	jpeg-devel
BuildRequires:	lapack-devel
BuildRequires:	libcln-devel
BuildRequires:	libfftw-devel
BuildRequires:	libqhull-devel >= %{qhull_version}
BuildRequires:	libreadline-devel
BuildRequires:	ncurses-devel
BuildRequires:	octave >= %{octave_version}
BuildRequires:	pcre-devel
BuildRequires:	png-devel
BuildRequires:	termcap-devel
BuildRequires:	texi2html
BuildRequires:	texinfo
Obsoletes:	%{name}-devel
Provides:	%{name}-devel

%description
The octave-forge package contains the source for all the functions plus
build and install scripts. These are designed to work with the latest
development version of Octave (available from
http://www.octave.org/download.html), but most functions will work on
earlier versions of Octave including 2.0.x versions.

%prep
%setup -q
%{__rm} -rf main/sparse
%patch0 -p0 -b .legend

%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

find %{buildroot}%{_datadir}/octave/%{octave_version}/site/m/%{name} \
  -type f -name "*.m" -exec %{__perl} -pi -e 's|\r$||g' {} \;

find %{buildroot} -type f -name '*.oct' -print0 \
  | xargs -0 -r strip --strip-unneeded

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog COPYING* README RELEASE-NOTES TODO
%{_bindir}/mex
%{_datadir}/octave
%{_libdir}/octave
%{_mandir}/man1/mex.1*


%changelog
* Sun Mar 04 2007 David Walluck <walluck@mandriva.org> 2006.03.17-3mdv2007.0
+ Revision: 132569
- rebuild
- Import octave-forge



* Sun Sep 10 2006 David Walluck <walluck@mandriva.org> 0:2006.03.17-2mdv2007.0
- rebuild with latest ginac and gfortran
- reenable main/octcdf on x86-64
- disable main/sparse due to compilation problems with fill()

* Fri Mar 24 2006 David Walluck <walluck@mandriva.org> 0:2006.03.17-1mdk
- 2006.03.17
- temporarily remove octcdf on x86_64 due to -fPIC issues

* Tue Feb 07 2006 David Walluck <walluck@mandriva.org> 0:2006.01.28-1mdk
- 2006.01.28

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2005.06.13-2mdk
- rebuild to fix libcln dependency

* Wed Aug 31 2005 David Walluck <walluck@mandriva.org> 0:2005.06.13-1mdk
- 2005.06.13
- rediff patch0
- rebuild (bug #17371)

* Fri Apr 22 2005 David Walluck <walluck@mandriva.org> 0:2004.11.16-3mdk
- fix BuildRequires (bug #13364)

* Tue Feb 08 2005 Abel Cheung <deaddog@mandrake.org> 2004.11.16-2mdk
- Rebuild against new readline

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 2004.11.16-1mdk
- New release
- P1: Add support for CAPITA: CEO
- Fix BuildRequires
- Need not apply patch 0 now
- Bring back rasmol.sh
- Fix permission for .oct files
- Don't move header files and split package, because headaer files are not
  for public consumption (used internally), and mex really wants header
  files inside specific location

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004.07.07-1mdk
- new release
- fix buildrequires
- fix download url
- patch 0: fix compiling with new g++

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:2004.02.12-2mdk
- Own dirs

* Fri Feb 13 2004 David Walluck <walluck@linux-mandrake.com> 0:2004.02.12-1mdk
- 2004.02.04
- fix Source0 URL
- use `strip' instead of %%__strip
- use %%{_target_cpu} instead of i586

* Wed Oct 01 2003 David Walluck <walluck@linux-mandrake.com> 0:2003.06.02-1mdk
- release
